# Uses of Interface
org.opensaml.saml.ext.saml2mdrpi.UsagePolicy

Packages that use UsagePolicy
Package
Description
org.opensaml.saml.ext.saml2mdrpi
The package to define the SAML V2.0 Metadata Extensions for Registration and Publication Information Version 1.0.
org.opensaml.saml.ext.saml2mdrpi.impl
Concrete implementations of the interfaces for the SAML V2.0 Metadata Extensions for Registration and Publication Information Version 1.0.

## Uses of UsagePolicy in org.opensaml.saml.ext.saml2mdrpi

Methods in org.opensaml.saml.ext.saml2mdrpi that return types with arguments of type UsagePolicy
Modifier and Type
Method
Description
`List<UsagePolicy>`
PublicationInfo.`getUsagePolicies()`
Get the `UsagePolicy`s.

## Uses of UsagePolicy in org.opensaml.saml.ext.saml2mdrpi.impl

Classes in org.opensaml.saml.ext.saml2mdrpi.impl that implement UsagePolicy
Modifier and Type
Class
Description
`class`
`UsagePolicyImpl`
Concrete implementation of `UsagePolicy`.
Fields in org.opensaml.saml.ext.saml2mdrpi.impl with type parameters of type UsagePolicy
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<UsagePolicy>`
PublicationInfoImpl.`usagePolicies`
The policies.
Methods in org.opensaml.saml.ext.saml2mdrpi.impl that return UsagePolicy
Modifier and Type
Method
Description
`UsagePolicy`
UsagePolicyBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`UsagePolicy`
UsagePolicyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdrpi.impl that return types with arguments of type UsagePolicy
Modifier and Type
Method
Description
`List<UsagePolicy>`
PublicationInfoImpl.`getUsagePolicies()`
Get the `UsagePolicy`s.